Bug 240058 - net-p2p/litecoin: Update to 0.17.1
Summary: net-p2p/litecoin: Update to 0.17.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alex Dupre
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2019-08-23 15:17 UTC by Alex Dupre
Modified: 2019-08-27 13:45 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (hsw)


Attachments
Patch (15.72 KB, patch)
2019-08-23 15:17 UTC, Alex Dupre
no flags Details | Diff
Updated patch (15.38 KB, patch)
2019-08-26 07:22 UTC, Alex Dupre
hsw: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Dupre freebsd_committer 2019-08-23 15:17:37 UTC
Created attachment 206833 [details]
Patch

Update to latest release and sync it with bitcoin port improvements
Comment 1 Christopher Hall 2019-08-26 03:24:22 UTC
The litecoin seems to be missing its png file:

install /usr/ports/net-p2p/litecoin/files/litecoin.png  /data/ports-work/usr/ports/net-p2p/litecoin/work/stage/tmp/litecoin-0.17.1/share/pixmaps/
install: /usr/ports/net-p2p/litecoin/files/litecoin.png: No such file or directory
*** Error code 71

I see that there are various "bitcoin" icons that are actually litecoin versions in /data/ports-work/usr/ports/net-p2p/litecoin/work/litecoin-0.17.1/share/pixmaps
probably it should install one of these
Comment 2 Christopher Hall 2019-08-26 03:33:14 UTC
the litecoin-utils and litecoin-daemon compiled.

I will see about fixing the png problem and try testing on poudriere later today
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-26 03:37:49 UTC
Reporter is committer, assign accordingly
Comment 4 Alex Dupre freebsd_committer 2019-08-26 05:23:18 UTC
The png is a 5kb file in the files directory:

net-p2p/litecoin % file files/litecoin.png
files/litecoin.png: PNG image data, 64 x 64, 8-bit/color RGBA, non-interlaced

The patch didn't include the binary file.
Comment 5 Christopher Hall 2019-08-26 05:56:46 UTC
I found litecoin dist already has files for the icon, so I was thinking installing one of these would be better than having one in files
Comment 6 Alex Dupre freebsd_committer 2019-08-26 06:03:08 UTC
You are right, even if they are called bitcoin*.png they actually contain Litecoin logos. I'll update the patch.
Comment 7 Alex Dupre freebsd_committer 2019-08-26 07:22:18 UTC
Created attachment 206915 [details]
Updated patch

Use bundled icon
Comment 8 Christopher Hall 2019-08-26 09:04:32 UTC
port test passed on all, but poudriere testport is still running (llvm takes a long time)  might have to wait until tomorrow before it finishes
Comment 9 Christopher Hall 2019-08-27 02:00:26 UTC
poudriere testport ok and I did a quick check of litecoind/litecoin-cli in regtest (note the config needs "[regtest]" now
Comment 10 commit-hook freebsd_committer 2019-08-27 13:45:12 UTC
A commit references this bug:

Author: ale
Date: Tue Aug 27 13:44:19 UTC 2019
New revision: 510014
URL: https://svnweb.freebsd.org/changeset/ports/510014

Log:
  Update to 0.17.1 release and add the option (default enabled) to use
  a newer BDB version (sync with bitcoin port).

  PR:		240058
  Submitted by:	ale
  Approved by:	maintainer

Changes:
  head/net-p2p/litecoin/Makefile
  head/net-p2p/litecoin/distinfo
  head/net-p2p/litecoin/files/litecoin-qt.desktop
  head/net-p2p/litecoin/files/litecoind.in
  head/net-p2p/litecoin/files/patch-src_leveldb_helpers_memenv_memenv.cc
  head/net-p2p/litecoin/pkg-help
  head/net-p2p/litecoin-daemon/Makefile
  head/net-p2p/litecoin-utils/Makefile